Loading...
Searching...
No Matches
keller_details.h File Reference

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Functions

template<class T >
void | reset (T &x)
template<class T >
void | reset (std::valarray< T > &x)
template<class T1 , class T2 >
void | reset (pair_with_linear_algebra< T1, T2 > &x)
template<class T >
T | max_abs (const T &x)
template<class T >
T | max_abs (const field_basic< T > &x)
template<class T >
field_basic< T >::float_type | max_abs (const std::valarray< field_basic< T > > &x)
template<class T >
size_t | get_unknown (const T &x)
template<class T >
size_t | unknown_size (const field_basic< T > &x)
template<class T >
size_t | unknown_size (const std::valarray< field_basic< T > > &x)
template<class T >
T | get_unknown (const T &x)
template<class T >
T | get_unknown (const T &x, const distributor &)
template<class T >
vec< T > | get_unknown (const field_basic< T > &x)
template<class T >
vec< T > | get_unknown (const field_basic< T > &x, const distributor &)
template<class T >
vec< T > | get_unknown (const std::valarray< field_basic< T > > &x, const distributor &ownership)
template<class T >
vec< T > | get_unknown (const std::valarray< field_basic< T > > &x)
template<class T >
void | set_unknown (T &x, const T &value)
template<class T >
void | set_unknown (field_basic< T > &x, const vec< T > &value)
template<class T >
void | set_unknown (std::valarray< field_basic< T > > &x, const vec< T > &value)